import Vue from 'vue';
import Router from 'vue-router';

const Login = () => import('@/views/Login');
const Home = () => import('@/views/Home');
// 首页
const Main = () => import('@/views/main/main');
// 个人中心
const Customer = () => import('@/views/customer/Customer');
// 消费统计
const Consumption = () => import('@/views/consumption/consumption');
//充值管理部分
const Recharge = () => import('@/views/recharge/recharge');
// 发票管理部分
const Check = () => import('@/views/check/check');
// 车辆绑定部分
const Carbinding = () => import('@/views/carbinding/carbinding');
const Carbindinglist = () => import('@/views/carbinding/carbindinglist');
//车辆管理部分
const Carupload = () => import('@/views/car/carupload');
const Carsuccess = () => import('@/views/car/carsuccess');
//运单上传部分
const Waybill = () => import('@/views/waybill/waybill');
const Over = () => import('@/views/waybill/over');
const History = () => import('@/views/waybill/history');
//运单发票管理部分
const Invoice = () => import('@/views/invoice/invoice');
const List = () => import('@/views/invoice/list');
// 系统管理部分
const User = () => import('@/views/sys/user');
// 交易管理部分
const Apply = () => import('@/views/apply/apply');
const Already = () => import('@/views/apply/already');
const Packaging = () => import('@/views/apply/packaging');
//运单管理
const WaybillList = () => import('@/views/waybillmanagement/waybillList');
const Noinvoice = () => import('@/views/waybillmanagement/noinvoice');
const Trueinvoice = () => import('@/views/waybillmanagement/trueinvoice');
//运单预估
const Forecastupload = () => import('@/views/forecast/forecastupload');
const Forecastdownload = () => import('@/views/forecast/forecastdownload');


import { Message } from 'element-ui';

Vue.use(Router);

const router = new Router({
  base: '/jkcredit/',
  mode: 'history',
  routes: [
    {name: 'Login', path: '/login', component: Login},
    {name: 'Home',
      path: '/',
      component: Home,
      redirect: '/main',
      children:[
        // 首页
        {name: 'Main', path: '/main',component: Main},
        //客户管理
        {name: 'Customer', path: '/customer',component: Customer},
        //消费统计
        {name: 'Consumption', path: '/consumption',component: Consumption},
        //充值管理部分
        {name: 'Recharge', path: '/recharge', component: Recharge},
        // 车辆绑定部分
        {name: 'Carbinding', path: '/carbinding', component: Carbinding},
        {name: 'Carbindinglist', path: '/carbindinglist', component: Carbindinglist},
        // 发票管理部分
        {name: 'Check', path: '/check', component: Check},
        //车辆管理部分
        {name: 'Carupload', path: '/carupload', component: Carupload},
        {name: 'Carsuccess', path: '/carsuccess', component: Carsuccess},
        //运单上传部分
        {name: 'Waybill', path: '/waybill', component: Waybill},
        {name: 'Over', path: '/over', component: Over},
        {name: 'History', path: '/history', component: History},
        //运单查询发票部分
        {name: 'Invoice', path: '/invoice', component: Invoice},
        {name: 'List', path: '/list', component: List},
        // 系统管理部分
        {name: 'User', path: '/user', component: User},
        // 交易管理部分
        {name: 'Apply', path: '/apply', component: Apply},
        {name: 'Already', path: '/already', component: Already},
        {name: 'Packaging', path: '/packaging', component: Packaging},
        //运单管理部分
        {name: 'WaybillList', path: '/waybillList', component: WaybillList},
        {name: 'Noinvoice', path: '/noinvoice', component: Noinvoice},
        {name: 'Trueinvoice', path: '/trueinvoice', component: Trueinvoice},
        //运单预估部分
        {name: 'Forecastupload', path: '/forecastupload', component: Forecastupload},
        {name: 'Forecastdownload', path: '/forecastdownload', component: Forecastdownload},
      ]
    }
  ]
});

router.beforeEach((to, from, next) => {
  // console.log(to);
  // console.log(from);
  // next();
  // 如果是登录的时候不判断token ，不是登录才判断token
  // console.log(to);
  if (to.name && to.name.toLocaleLowerCase() !== 'login') {
    // 判断token
    const token = sessionStorage.getItem('token');
    if (!token) {
      // 没有token,跳转到登录页面
      // this.$router.push('/login')
      router.push('/login');
      // 提示
      // this.$message.warning('请先登录');
      Message.warning('请先登录');
      return;
    }
  }
  next();
});

export default router;
